#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xD3,0xA3,0xDA,0xF5,0xED,0xE8,0xE4,0x2B,0xD9,0x55,0xAD,0x47,
		0x2F,0x10,0xEF,0xDC,0xCB,0x2D,0xB3,0x88,0xCC,0x9F,0xB0,0xDE,
		0x0C,0xED,0x32,0xB1,0xE9,0xE7,0xCC,0xC3,0x9B,0xD7,0x19,0x46,
		0x54,0xD3,0xC0,0x61,0xC8,0x96,0xD2,0xB4,0x44,0x07,0x0A,0xE6,
		0x40,0xE1,0x0E,0x99,0x85,0xD6,0x80,0xAD,0x7D,0xAD,0x86,0xA7,
		0x3E,0x7E,0x64,0x13,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
